using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcLocalDb.Models;

namespace MvcLocalDb.Views {
  public class PersonController : Controller {
    private PersonEntities db = new PersonEntities();

    //
    // GET: /Person/
    public ActionResult Index() {
      return View(db.TableMain.ToList());
    }

    //
    // GET: /Person/Details/5
    public ActionResult Details(Int32 id) {
      TableMain tablemain = db.TableMain.Find(id);
      if (tablemain == null) {
        return HttpNotFound();
      }
      return View(tablemain);
    }

    //
    // GET: /Person/Create
    public ActionResult Create() {
      return View();
    }

    //
    // POST: /Person/Create
    [HttpPost]
    [ValidateAntiForgeryToken]
    public ActionResult Create(TableMain tablemain) {
      if (ModelState.IsValid) {
        db.TableMain.Add(tablemain);
        db.SaveChanges();
        return RedirectToAction("Index");
      }

      return View(tablemain);
    }

    //
    // GET: /Person/Edit/5
    public ActionResult Edit(Int32 id) {
      TableMain tablemain = db.TableMain.Find(id);
      if (tablemain == null) {
        return HttpNotFound();
      }
      return View(tablemain);
    }

    //
    // POST: /Person/Edit/5
    [HttpPost]
    [ValidateAntiForgeryToken]
    public ActionResult Edit(TableMain tablemain) {
      if (ModelState.IsValid) {
        db.Entry(tablemain).State = EntityState.Modified;
        db.SaveChanges();
        return RedirectToAction("Index");
      }
      return View(tablemain);
    }

    //
    // GET: /Person/Delete/5
    public ActionResult Delete(Int32 id) {
      TableMain tablemain = db.TableMain.Find(id);
      if (tablemain == null) {
        return HttpNotFound();
      }
      return View(tablemain);
    }

    //
    // POST: /Person/Delete/5
    [HttpPost, ActionName("Delete")]
    [ValidateAntiForgeryToken]
    public ActionResult DeleteConfirmed(Int32 id) {
      TableMain tablemain = db.TableMain.Find(id);
      db.TableMain.Remove(tablemain);
      db.SaveChanges();
      return RedirectToAction("Index");
    }

    protected override void Dispose(bool disposing) {
      db.Dispose();
      base.Dispose(disposing);
    }
  }
}
