﻿Imports System.Data.Entity

Public Class PersonController
  Inherits System.Web.Mvc.Controller

  Private db As New PersonEntities

  '
  ' GET: /Person/

  Function Index() As ActionResult
    Return View(db.TableMain.ToList())
  End Function

  '
  ' GET: /Person/Details/5

  Function Details(Optional ByVal id As Integer = Nothing) As ActionResult
    Dim tablemain As TableMain = db.TableMain.Find(id)
    If IsNothing(tablemain) Then
      Return HttpNotFound()
    End If
    Return View(tablemain)
  End Function

  '
  ' GET: /Person/Create

  Function Create() As ActionResult
    Return View()
  End Function

  '
  ' POST: /Person/Create

  <HttpPost()> _
  <ValidateAntiForgeryToken()> _
  Function Create(ByVal tablemain As TableMain) As ActionResult
    If ModelState.IsValid Then
      db.TableMain.Add(tablemain)
      db.SaveChanges()
      Return RedirectToAction("Index")
    End If

    Return View(tablemain)
  End Function

  '
  ' GET: /Person/Edit/5

  Function Edit(Optional ByVal id As Integer = Nothing) As ActionResult
    Dim tablemain As TableMain = db.TableMain.Find(id)
    If IsNothing(tablemain) Then
      Return HttpNotFound()
    End If
    Return View(tablemain)
  End Function

  '
  ' POST: /Person/Edit/5

  <HttpPost()> _
  <ValidateAntiForgeryToken()> _
  Function Edit(ByVal tablemain As TableMain) As ActionResult
    If ModelState.IsValid Then
      db.Entry(tablemain).State = EntityState.Modified
      db.SaveChanges()
      Return RedirectToAction("Index")
    End If

    Return View(tablemain)
  End Function

  '
  ' GET: /Person/Delete/5

  Function Delete(Optional ByVal id As Integer = Nothing) As ActionResult
    Dim tablemain As TableMain = db.TableMain.Find(id)
    If IsNothing(tablemain) Then
      Return HttpNotFound()
    End If
    Return View(tablemain)
  End Function

  '
  ' POST: /Person/Delete/5

  <HttpPost()> _
  <ActionName("Delete")> _
  <ValidateAntiForgeryToken()> _
  Function DeleteConfirmed(ByVal id As Integer) As RedirectToRouteResult
    Dim tablemain As TableMain = db.TableMain.Find(id)
    db.TableMain.Remove(tablemain)
    db.SaveChanges()
    Return RedirectToAction("Index")
  End Function

  Protected Overrides Sub Dispose(ByVal disposing As Boolean)
    db.Dispose()
    MyBase.Dispose(disposing)
  End Sub

End Class